Summary: The bastard son of Blackbox, a small and fast Window Manager
Name: hackedbox
Version: 0.8.5
Release: 5%{?dist}
# Most of the sources are MIT-licensed from blackbox, but a (very) small
# portion is GPLv2+, so that is the resulting license
License: GPLv2+
Group: User Interface/Desktops
URL: http://scrudgeware.org/projects/Hackedbox
Source0: http://scrudgeware.org/downloads/hackedbox/hackedbox-%{version}.tar.gz
Source1: hackedbox.desktop
Patch0: hackedbox-0.8.5-noblackbox.patch
Patch1: hackedbox-0.8.5-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libXt-devel, libXext-devel
# We heavily patch *.in files...
BuildRequires: autoconf, automake, libtool

%description
Hackedbox is a stripped down version of Blackbox - The X11 Window Manager.
The toolbar and Slit have been removed. The goal of Hackedbox is to be a
small "feature-set" window manager, with no bloat. There are no plans to
add any functionality, only bugfixes and speed enhancements whenever possible.


%prep
%setup -q
%patch0 -p1 -b .noblackbox
%patch1 -p1 -b .gcc43
# Remove included binary files! and *.mk supposed to be built from *.mk.in
%{__rm} -f util/bsetroot util/bsetroot.o
%{__rm} -f util/bgmenu.mk
# Rename files, completes the noblackbox patch (avoids bloating the patch)
%{__mv} util/bsetbg util/hsetbg
%{__mv} util/bgmenu.mk.in util/hgmenu.mk.in


%build
sh bootstrap
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

# Install GDM session file
%{__mkdir_p} %{buildroot}/etc/X11/gdm/Sessions
%{__cat} > %{buildroot}/etc/X11/gdm/Sessions/Hackedbox << EOF
#!/bin/sh
exec /etc/X11/xdm/Xsession hackedbox
EOF

# Replace the /usr/local stuff
%{__perl} -pi -e 's|/local||g' %{buildroot}%{_datadir}/hackedbox/menu

# Install the desktop entry
%{__install} -D -p -m 644 %{SOURCE1} \
    %{buildroot}%{_datadir}/xsessions/hackedbox.desktop


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README TODO
%attr(0755,root,root) /etc/X11/gdm/Sessions/Hackedbox
%{_bindir}/hackedbox
%{_bindir}/hsetbg
%{_bindir}/hsetroot
%{_bindir}/inithack
%dir %{_datadir}/hackedbox/
%config(noreplace) %{_datadir}/hackedbox/hgmenu.mk
%config(noreplace) %{_datadir}/hackedbox/menu
%{_datadir}/hackedbox/backgrounds
%{_datadir}/hackedbox/nls
%{_datadir}/hackedbox/styles
%{_datadir}/xsessions/hackedbox.desktop
%{_mandir}/man1/*


%changelog
* Sun Feb 24 2008 Matthias Saou <http://freshrpms.net/> 0.8.5-5
- Include patch to fix build with gcc 4.3.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org>
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 0.8.5-3
- Rebuild for new BuildID feature.

* Mon Aug  6 2007 Matthias Saou <http://freshrpms.net/> 0.8.5-2
- Update License field.
- Switch to using DESTDIR install method.

* Fri Feb  2 2007 Matthias Saou <http://freshrpms.net/> 0.8.5-1
- Update to 0.8.5.
- Heavily patch to rename b* files (blackbox) to h* (hackedbox), to make both
  parallel installable (#212318).
- Remove non-english man pages, they're from blackbox...

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 0.8.4-7
- FC6 rebuild.
- Remove gcc-c++ and perl buil requirements, they are defaults.

* Mon Mar  6 2006 Matthias Saou <http://freshrpms.net/> 0.8.4-6
- FC5 rebuild.

* Thu Feb  9 2006 Matthias Saou <http://freshrpms.net/> 0.8.4-5
- Rebuild for new gcc/glibc and modular X.

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0.8.4-4
- Include hackedbox datadir.

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 0.8.4-3
- Bump release to provide Extras upgrade path.

* Mon Nov 15 2004 Matthias Saou <http://freshrpms.net/> 0.8.4-2
- Added gcc 3.4 patch from Arch Linux (the same as Linux From Scratch).

* Fri Jul 16 2004 Matthias Saou <http://freshrpms.net/> 0.8.4-1
- Update to 0.8.4.
- Remove the NLS workaround, no longer required.

* Mon Feb 23 2004 Matthias Saou <http://freshrpms.net/> 0.8.2-3
- Apply the same nls workaround as for blackbox.
- Add the xsessions desktop file for recent gdm/kdm.

* Fri Nov  7 2003 Matthias Saou <http://freshrpms.net/> 0.8.2-2
- Rebuild for Fedora Core 1.
- Added the (currently mandatory) without nls conditional build.

* Sat Apr 26 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.8.2.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 9.

* Thu Jan  3 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.8.1.

* Mon Nov  4 2002 Matthias Saou <http://freshrpms.net/>
- Update to 0.8.0.

* Sun Oct  6 2002 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 8.0.

* Tue Sep 10 2002 Matthias Saou <http://freshrpms.net/>
- Update to 0.7.3.

* Mon Aug 12 2002 Matthias Saou <http://freshrpms.net/>
- Initial RPM release.

